Module java.base
Package java.util.zip

# Class ZipError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.VirtualMachineError
java.lang.InternalError
java.util.zip.ZipError

All Implemented Interfaces:
  `Serializable`

public class ZipError extends InternalError
Signals that an unrecoverable error has occurred.

Since:
  1.6
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ZipError​(String s)`
Constructs a ZipError with the given detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ZipError

public ZipError​(String s)
Constructs a ZipError with the given detail message.

Parameters:
  `s` - the `String` containing a detail message